\definecolor{wrwrwr}{rgb}{0.3803921568627451,0.3803921568627451,0.3803921568627451}
\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\begin{tikzpicture}[line cap=round,line join=round,x=0.75cm,y=0.75cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.75,-2.75) rectangle (3.75,3.75);
\draw [line width=1.5pt] (-6,3)-- (3,3);
\draw [line width=1.5pt] (3,3)-- (3,-2);
\draw [line width=1.5pt] (3,-2)-- (-6,-2);
\draw [line width=1.5pt] (-6,-2)-- (-6,3);
\draw [line width=1.5pt,color=wrwrwr, mydashed] (-1,3)-- (-1,-2);
\draw [line width=1.5pt, <->] (-5.75,3.25)-- node[above] {$x$} (-1,3.25);
\draw [line width=1.5pt, <->] (-1,3.25)--  node[above] {$4$} (2.75,3.25);
\draw [line width=1.5pt, <->] (3.25,2.75)--  node[right] {$x$} (3.25,-1.75);
\begin{large}
\draw[color=rvwvcq] (-6.25,3.25) node {$B$};
\draw[color=rvwvcq] (3.25,3.25) node {$C$};
\draw[color=rvwvcq] (3.25,-2.25) node {$D$};
\draw[color=rvwvcq] (-6.25,-2.25) node {$A$};
\end{large}
\end{tikzpicture}